package ru.dbotthepony.kstarbound.item

class ContainerIterator(private val container: IContainer) : Iterator<ItemStack> {
	private var index = 0

	override fun hasNext(): Boolean {
		return index < container.size
	}

	override fun next(): ItemStack {
		return container[index++]
	}
}
